Getting a given report or document
The method is available for all models.
If you are using an API Key token, one of the accesses in the list is required to call the method
- inventory-and-order-processing — Order processing and inventory
- inventory-and-order-processing:read-only — View order information
- pricing — Manage prices
- pricing:read-only — View prices
- offers-and-cards-management — Manage products and cards
- offers-and-cards-management:read-only — View products and cards
- promotion — Product promotion
- promotion:read-only — View promotion information
- finance-and-accounting — View financial data and reports
- communication — Customer communication
- settings-management — Store settings
- supplies-management:read-only — View FBY requests
- all-methods — Full account management
- all-methods:read-only — View all data
Returns the generation status of the specified report or document and, if it is ready, a download link.
To use this request, you first need to start generating a report or document. Instruction manual
| ⚙️ Limit: 100 requests per minute |
|---|
Request
GET
https://api.partner.market.yandex.ru/v2/reports/info/{reportId}
Path parameters
|
Name |
Description |
|
reportId |
Type: string ID of the report or document that you received after generating it. Min length: Max length: Example: `` |
Responses
200 OK
The status of the report or document generation and the link, if it already exists.
Generation status FAILED or NO_DATA
Check the correctness of the generation request. For example, whether the campaign ID, period, or payment order number is correct.
Body
application/json
{
"status": "OK",
"result": {
"status": "PENDING",
"subStatus": "NO_DATA",
"generationRequestedAt": "2025-01-01T00:00:00Z",
"generationFinishedAt": "2025-01-01T00:00:00Z",
"file": "example",
"estimatedGenerationTime": 0
}
}
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
result
Type: object
generationRequestedAt
Type: string<date-time>
Date and time of the generation request.
Example:
2025-01-01T00:00:00Zstatus
Type: string
Generation status:
PENDING— awaiting generation.PROCESSING— generated.FAILED— an error occurred during generation.DONE— the report or document is ready.
Enum:
PENDING,PROCESSING,FAILED,DONEestimatedGenerationTime
Type: integer
Expected generation time in milliseconds.
file
Type: string
A link to the finished report or document.
Link validity period
The link is current 60 minutes from the moment of receiving the response. With each request
GET /v2/reports/info/{reportId}a new link is generated, which has a limited validity period.Recommendation for integrations: Immediately after receiving the link, download the report and save it to yourself. Do not save the link for later use. — it will become invalid after the expiration date.
Example:
examplegenerationFinishedAt
Type: string<date-time>
Date and time when the generation was completed.
Example:
2025-01-01T00:00:00ZsubStatus
Type: string
Generation sub-status:
NO_DATA— There is no data available for such a report or document.TOO_LARGE— the report or document exceeded the allowed size — specify a shorter time period or specify the terms of the request.RESOURCE_NOT_FOUND— Some of the entities could not be found for such a report or document.
Enum:
NO_DATA,TOO_LARGE,RESOURCE_NOT_FOUNDThe generation status and a link to the finished report or document.
Example
{ "status": "PENDING", "subStatus": "NO_DATA", "generationRequestedAt": "2025-01-01T00:00:00Z", "generationFinishedAt": "2025-01-01T00:00:00Z", "file": "example", "estimatedGenerationTime": 0 }Example
{ "result": { "status": "PENDING", "subStatus": "NO_DATA", "generationRequestedAt": "2025-01-01T00:00:00Z", "generationFinishedAt": "2025-01-01T00:00:00Z", "file": "example", "estimatedGenerationTime": 0 } }
400 Bad Request
The request contains incorrect data. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
401 Unauthorized
The authorization data is not specified in the request. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
403 Forbidden
The authorization data is incorrect or access to the resource is prohibited. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
404 Not Found
The requested resource was not found. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
420 Method Failure
The resource access limit has been exceeded. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -
500 Internal Server Error
Internal error of the Market. More information about the error
Body
application/json
{
"status": "OK",
"errors": [
{
"code": "example",
"message": "example"
}
]
}
Type: object
All of 1 type
-
Type: object
All of 2 types
-
Type: object
status
Type: string
The type of response. Possible values:
OK— There are no errors.ERROR— an error occurred while processing the request.
Enum:
OK,ERRORThe standard wrapper for server responses.
Example
{ "status": "OK" } -
Type: object
errors
Type: object[]
code
Type: string
The error code.
Example:
examplemessage
Type: string
Description of the error.
Example:
exampleA list of errors.
Min items:
1Example
[ { "code": "example", "message": "example" } ]Example
{ "errors": [ { "code": "example", "message": "example" } ] }
A standard wrapper for server errors.
Example
{ "status": "OK", "errors": [ { "code": "example", "message": "example" } ] } -